Subject: Generated installation image fails to launch

From: Aidan Welch <[email-masked]>
Date: Fri, 27 Sep 2024 18:32:21 +0200

Hi, I built my own install image("guix (GNU Guix)
8172b25ea22762b361b14600292c154a10579b47" installed on Ubuntu), when I try
to boot it "the installer has encountered an unexpected error", the
backtrace is basically as follows (cutting out a bit so its typeable).

In srfi/srfi-1.scm: 586:29 19 (the map of locales)
586:29 18 (the map of locales with the first removed)
... ... ...
586:29 11 (the map of locales now starting with "tok") In
gnu/installer/newt/page.scm
415:26 10 (_ "tok") In gnu/installer/newt/locale.scm:
160:28 9(_ "tok") In unknown file: 8 (gettext #f "iso_639-3" #<undefined>)

and it continues on- but I think this is most of the relevant part

I also tried installing on a virtual machine with the same issue- but in
that case I was able to upload the dump as "installer-dump-c76fee78"